org.python.core

## Class CompilerFacade

- java.lang.Object
- - org.python.core.CompilerFacade

    public class CompilerFacade
    extends java.lang.Object

Facade for different compiler implementations. The static methods of this class act as a Facade for the compiler subsystem. This is so that the rest of Jython (even generated code) can statically link to the static interface of this class, while allowing for different implementations of the various components of the compiler subsystem.

Author:
  Tobias Ivarsson

### Constructor Summary

Constructors
Constructor and Description
`CompilerFacade()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PyCode` `compile(org.python.antlr.base.mod node, java.lang.String name, java.lang.String filename, boolean linenumbers, boolean printResults, CompilerFlags cflags)`
`static void` `setCompiler(PythonCompiler compiler)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerFacade

    public CompilerFacade()

### Method Detail

#### setCompiler

    public static void setCompiler(PythonCompiler compiler)

#### compile

    public static PyCode compile(org.python.antlr.base.mod node,
                                 java.lang.String name,
                                 java.lang.String filename,
                                 boolean linenumbers,
                                 boolean printResults,
                                 CompilerFlags cflags)